> For the complete documentation index, see [llms.txt](https://developer.magtek.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.magtek.com/hardware/card-readers/mms-dyna-devices/dynaflex-ii-ped/documentation/user-manuals/oid-converter-console-manual/oid-conversion-method.md).

# OID Conversion Method

This is an example of how to manually convert a property OID in decimal format into a constructed TLV command data.

* ConfigType is the first number (node 6) to the left of the OID.

```
    [2] . 1 . 2 . 2 . 2 . 1
node(6)                  node(1)
```

To construct the remaining nodes, logical OR as follows.

```
OR node 1 with C0
OR nodes 2 - 5 with E0
```

Result:

```
        1 . 2 . 2 . 2 . 1
OR E0   E0   E0   E0   C0
= E1   E2   E2   E2   C1
```

* Add Lengths to each node to include all lower nodes and data.

```
->08 ->06 ->04 ->02 ->00
```

* The fully Constructed TLV command data:

```
E108 E206 E204 E202 C100 (E108E206E204E202C100)
```

Use the configType and command data for the SDK APIs.

```
byte configType = 02; 
byte[] data = {0xE1,0x08,0xE2,0x06,0xE2,0x04,0xE2,0x02,0xC1,0x00};
byte[] response = devConfig.getConfigInfo(configType, data);
```

Example Get: Device Model Name

```
[1] . 2 . 3 . 1 . 1 . 1 = 03000000
CT	En	En	En	En	Cn = 03000000 CT	EnLL->EnLL->EnLL->EnLL->CnLLValue
01	E20C->E30A->E108->E106->C10403000000

ConfigType = 01
Command data = E20CE30AE108E106C10403000000
```

<table data-header-hidden><thead><tr><th width="146" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Notation</td><td valign="top">Description</td></tr><tr><td valign="top">CT</td><td valign="top">Configuration type</td></tr><tr><td valign="top">En</td><td valign="top">Converted tag for a node</td></tr><tr><td valign="top">LL</td><td valign="top">TLV Length for that node</td></tr><tr><td valign="top">-></td><td valign="top">All TLVs to the right</td></tr><tr><td valign="top">Cn</td><td valign="top">Converted tag for the first node</td></tr></tbody></table>

&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.magtek.com/hardware/card-readers/mms-dyna-devices/dynaflex-ii-ped/documentation/user-manuals/oid-converter-console-manual/oid-conversion-method.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
